# Fetch all payout methods

GET https://api.letsdeel.com/rest/v2/payouts/contractors/methods

Retrieves all payout methods associated with the current user or account. Supports filtering by default method status.
 **Token scopes**: `worker:read`, `worker:write`

Reference: https://developer.deel.com/api/reference/endpoints/payouts/get-payout-methods

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /payouts/contractors/methods:
    get:
      operationId: get-payout-methods
      summary: Fetch all payout methods
      description: >-
        Retrieves all payout methods associated with the current user or
        account. Supports filtering by default method status.
         **Token scopes**: `worker:read`, `worker:write`
      tags:
        - subpackage_payouts
      parameters:
        - name: is_default
          in: query
          description: >-
            Filter by whether the method is default. If true, only default
            methods will be returned.
          required: false
          schema:
            type: boolean
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of payout methods retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Payouts_getPayoutMethods_Response_200'
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    PayoutsContractorsMethodsGetResponsesContentApplicationJsonSchemaDataAddress:
      type: object
      properties:
        city:
          type: string
          description: City name
        state:
          type: string
          description: State code
        country:
          type: string
          description: Country code
        post_code:
          type: string
          description: Post code
        first_line:
          type: string
          description: First line of the address
      required:
        - city
        - country
        - post_code
        - first_line
      title: >-
        PayoutsContractorsMethodsGetResponsesContentApplicationJsonSchemaDataAddress
    PayoutsContractorsMethodsGetResponsesContentApplicationJsonSchemaDataPaymentMethod:
      type: string
      enum:
        - bank_transfer
      title: >-
        PayoutsContractorsMethodsGetResponsesContentApplicationJsonSchemaDataPaymentMethod
    PayoutsContractorsMethodsGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        address:
          $ref: >-
            #/components/schemas/PayoutsContractorsMethodsGetResponsesContentApplicationJsonSchemaDataAddress
        payload:
          type: object
          additionalProperties:
            description: Any type
          description: >-
            Dynamic properties based on selected option. For example, if
            `selectedOption` is `swift_code`, payload may include `swiftCode`,
            `accountHolderName`, and `accountNumber`.
        is_default:
          type: boolean
          description: >-
            Specifies if the method is the default payout method - if true,
            autowithdrawal will be enabled for the contractor using this method
        method_name:
          type: string
          description: Name for method
        payment_method:
          $ref: >-
            #/components/schemas/PayoutsContractorsMethodsGetResponsesContentApplicationJsonSchemaDataPaymentMethod
        selectedOption:
          type: string
          description: >-
            Specifies the type of bank transfer method. Maps from requirements
            type field
      required:
        - address
        - payload
        - payment_method
      title: PayoutsContractorsMethodsGetResponsesContentApplicationJsonSchemaData
    Payouts_getPayoutMethods_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/PayoutsContractorsMethodsGetResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: Payouts_getPayoutMethods_Response_200
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/payouts/contractors/methods"

querystring = {"is_default":"true"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/payouts/contractors/methods?is_default=true';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/payouts/contractors/methods?is_default=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/payouts/contractors/methods?is_default=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/payouts/contractors/methods?is_default=true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/payouts/contractors/methods?is_default=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/payouts/contractors/methods?is_default=true");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/payouts/contractors/methods?is_default=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```